#!/bin/sh
#
# Author: Aaron Voisine <aaron@voisine.org>
# modified by Christoph Schroeder <webmaster@wilber-loves-apple.org>

#!/bin/sh

FOO="`pwd`/Gimp.app/Contents/Resources/"

PREFIX="/opt/local"

BIN=`echo $PREFIX/bin/gimp*-2.4 $PREFIX/bin/ufraw* $PREFIX/bin/gs $PREFIX/lib/gimp/2.0/plug-ins/* $PREFIX/bin/python2.5 $PREFIX/bin/dbus-launch $PREFIX/bin/dbus-daemon`

SO=`echo $PREFIX/lib/gimp/2.0/modules/*.so $PREFIX/lib/gimp/2.0/python/*.so $PREFIX/lib/gtk-2.0/*/immodules/*.so $PREFIX/lib/gtk-2.0/*/loaders/*.so $PREFIX/lib/pango/*/modules/*.so $PREFIX/lib/gtk-2.0/*/engines/*.so`

LIB=`otool -L $BIN $SO | grep -v : | grep $PREFIX/ | awk '{print $1;}' | sed -E 's/([0-9][.])dylib/\1*dylib/g' | sort -u | xargs echo`

ETC="$PREFIX/etc/gimp/ $PREFIX/etc/gtk-2.0/ $PREFIX/etc/pango/ $PREFIX/lib/gimp/2.0/python/*.py* $PREFIX/lib/gimp/2.0/environ $PREFIX/lib/gimp/2.0/interpreters $PREFIX/etc/dbus-1/session.conf $PREFIX/etc/fonts"

SHARE=`echo $PREFIX/share/gimp/ $PREFIX/share/themes/Clearlooks/ $PREFIX/share/gimp-lqr-plugin/ $PREFIX/share/locale/*/LC_MESSAGES/gimp*`

cd $PREFIX

echo $BIN $SO $LIB $ETC $SHARE | sed "s|$PREFIX/"'*||g' | xargs tar -cvf /tmp/gimpguts.tar

cd $FOO

tar -xvf /tmp/gimpguts.tar

# create the InfoPlist.strings file (gives version info the the Mac's Finder)
VOUT=InfoPlist.strings
VFULL=`$PREFIX/bin/gimp --version`
VSHORT=`echo $VFULL | awk '{print $NF}'`
echo "CFBundleGetInfoString = \"$VFULL\";" > $VOUT
echo "CFBundleShortVersionString = \"$VSHORT\";" >> $VOUT

cat $PREFIX/etc/gimp/2.0/gimprc | sed 's/web-browser [^)]*/&)\
(web-browser "open %s"/' | sed 's/help-browser[^)]*/&)\
(help-browser web-browser/' | sed 's/temp-path[^)]*/&)\
(temp-path "${ETC}"/' | sed 's/swap-path[^)]*/&)\
(swap-path "${ETC}"/' | sed 's/num-processors[^)]*/&)\
(num-processors 2/' | sed 's|interpreter-path[^)]*|&\
(interpreter-path "${ETC}/interp"|' > $FOO/etc/gimp/2.0/gimprc

cat $PREFIX/etc/gtk-2.0/gtk.immodules | sed 's|'"$PREFIX"'/*|${CWD}/|g' > $FOO/etc/gtk-2.0/gtk.immodules
cat $PREFIX/etc/gtk-2.0/gdk-pixbuf.loaders | sed 's|'"$PREFIX"'/*|${CWD}/|g' > $FOO/etc/gtk-2.0/gdk-pixbug.loaders
cat $PREFIX/etc/pango/pangorc | sed 's|'"$PREFIX"'/*etc/pango|${ETC}|g' > $FOO/etc/pango/pangorc
cat $PREFIX/etc/pango/pango.modules | sed 's|'"$PREFIX"'[^ ]*|"&"|g' | sed 's|'"$PREFIX"'/*|${CWD}/|g' > $FOO/etc/pango/pango.modules
cat $PREFIX/lib/gimp/2.0/interpreters/pygimp.interp | sed 's|'"$PREFIX"'/*bin/|${ETC}/|g' > $FOO/lib/gimp/2.0/interpreters/pygimp.interp

